org.eclipse.actf.model.dom.dombycom

## Interface ISelectElement

All Superinterfaces:
  IEvalTarget, INodeEx, Node

    public interface ISelectElement
    extends INodeEx

ISelectElement interface defines the methods to be implemented by the form select element such as combo box and list box.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

Methods
`int` `getOptionsCount()`
`String` `getOptionTextAt(int index)`
`int[]` `getSelectedIndices()`
`void` `setSelectedIndices(int[] indices)`

### Methods inherited from interface org.eclipse.actf.model.dom.dombycom.INodeEx

`analyze, doClick, extractString, getAccessKey, getHeadingLevel, getLinkURI, getLocation, getNth, getStillPictureData, getText, highlight, setFocus, setText, unhighlight`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Methods inherited from interface org.eclipse.actf.util.vocab.IEvalTarget

`getTerms`

### Method Detail

#### setSelectedIndices

    void setSelectedIndices(int[] indices)

Parameters:
  `indices` - the indices to be set.

#### getSelectedIndices

    int[] getSelectedIndices()

Returns:
  the selected indices.

#### getOptionsCount

    int getOptionsCount()

Returns:
  the total number of the item in the select.

#### getOptionTextAt

    String getOptionTextAt(int index)

Parameters:
  `index` - the index of the option to be obtained.
Returns:
  the text of the item specified by the index.